Index: trunk/info/info/alkis/alkisfkt.php
===================================================================
--- trunk/info/info/alkis/alkisfkt.php	(revision 333)
+++ trunk/info/info/alkis/alkisfkt.php	(revision 334)
@@ -95,21 +95,8 @@
 	// F L U R S T U E C K
 	$sql="SELECT g.gemarkungsnummer, g.bezeichnung, f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.regierungsbezirk, f.kreis, f.gemeinde, f.amtlicheflaeche 
-	FROM ax_flurstueck f JOIN ax_buchungsstelle s ON f.istgebucht=substring(s.gml_id,1,16) 
+	FROM ax_flurstueck f 
+	JOIN ax_buchungsstelle s ON f.istgebucht=substring(s.gml_id,1,16) 
 	LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer 
 	WHERE s.gml_id= $1 AND f.endet IS NULL AND s.endet IS NULL AND g.endet IS NULL ORDER BY f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner;";
-
-/*
-SELECT g.gemarkungsnummer, g.bezeichnung, f.gml_id, f.flurnummer, 
-  f.zaehler, f.nenner, f.regierungsbezirk, f.kreis, f.gemeinde, f.amtlicheflaeche 
-FROM ax_flurstueck f 
-JOIN ax_buchungsstelle s ON f.istgebucht=substring(s.gml_id,1,16) 
-LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer 
-WHERE s.gml_id= 'DENW18AL00001hHb' 
-  AND f.endet IS NULL 
-  AND s.endet IS NULL 
-  AND g.endet IS NULL 
-ORDER BY f.gemarkungsnummer, f.flurnummer, f.zaehler, f.nenner;
-
-$1 = 'DENW18AL00001hHb' */
 
 	$v = array($gml_bs);
@@ -178,12 +165,8 @@
 	} // Ende Flurstueck
 
-	if ($j == 0 ) { // nur Entw.
-		if ($debug > 1) {
-			echo "<p class='dbg'>Keine FS gefunden</p>";
-		}
-		if ($debug > 2) {
-			echo "<p class='dbg'>SQL='".$sql."'<br>$1 = '".$gml_bs."'</p>";
-		}
-	}
+/*	if ($j == 0 ) { // nur Entw.
+		if ($debug > 1) {echo "<p class='dbg'>Keine FS gefunden</p>";}
+		if ($debug > 2) {echo "<p class='dbg'>SQL='".$sql."'<br>$1 = '".$gml_bs."'</p>";}
+	} */
 
 	pg_free_result($resf);
Index: trunk/info/info/alkis/alkisbaurecht.php
===================================================================
--- trunk/info/info/alkis/alkisbaurecht.php	(revision 333)
+++ trunk/info/info/alkis/alkisbaurecht.php	(revision 334)
@@ -5,5 +5,5 @@
 	Version:
 	2013-06-27Neu als Variante von alkis*inlay*baurecht.ph (mit Footer, Balken und Umschaltung Key)
-	2014-09-10 PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
+	2014-09-15 PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
 
 	ToDo: id-Anzeige hinzufÃŒgen fÃŒr Baurecht und FlurstÃŒck
@@ -41,5 +41,5 @@
 FROM ax_bauraumoderbodenordnungsrecht r 
 LEFT JOIN ax_bauraumoderbodenordnungsrecht_artderfestlegung a ON r.artderfestlegung=a.wert 
-LEFT JOIN ax_dienststelle d ON r.land=d.land AND r.stelle=d.stelle WHERE r.gml_id= $1 ;";
+LEFT JOIN ax_dienststelle d ON r.land=d.land AND r.stelle=d.stelle WHERE r.gml_id= $1 AND r.endet IS NULL AND d.endet IS NULL;";
 
 $v = array($gmlid);
@@ -125,5 +125,6 @@
 $sql ="SELECT f.gml_id, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, round(st_area(ST_Intersection(r.wkb_geometry,f.wkb_geometry))::numeric,1) AS schnittflae 
 FROM ax_flurstueck f, ax_bauraumoderbodenordnungsrecht r
-WHERE r.gml_id= $1 AND st_intersects(r.wkb_geometry,f.wkb_geometry) = true 
+WHERE r.gml_id= $1 AND f.endet IS NULL AND r.endet IS NULL
+AND st_intersects(r.wkb_geometry,f.wkb_geometry) = true 
 AND st_area(st_intersection(r.wkb_geometry,f.wkb_geometry)) > 0.05 
 ORDER BY schnittflae DESC LIMIT 40;"; 
Index: trunk/info/info/alkis/alkisbestnw.php
===================================================================
--- trunk/info/info/alkis/alkisbestnw.php	(revision 333)
+++ trunk/info/info/alkis/alkisbestnw.php	(revision 334)
@@ -198,5 +198,5 @@
 		//  sh=herrschend          sd=dienend
 		$sql ="SELECT sd.gml_id, sd.buchungsart, sd.laufendenummer AS lfd, sd.beschreibungdesumfangsderbuchung AS udb, sd.nummerimaufteilungsplan AS nrap, sd.beschreibungdessondereigentums AS sond, b.bezeichner AS bart ";
-		$sql.="FROM ax_buchungsstelle sh JOIN ax_buchungsstelle sd ON (sd.gml_id=ANY(sh.an) OR sd.gml_id=ANY(sh.zu)) "; 
+		$sql.="FROM ax_buchungsstelle sh JOIN ax_buchungsstelle sd ON (substring(sd.gml_id,1,16)=ANY(sh.an) OR substring(sd.gml_id,1,16)=ANY(sh.zu)) "; 
 		$sql.="LEFT JOIN ax_buchungsstelle_buchungsart b ON sd.buchungsart=b.wert ";
 		$sql.="WHERE sh.gml_id= $1 AND sh.endet IS NULL AND sd.endet IS NULL ORDER BY sd.laufendenummer;";
Index: trunk/info/info/alkis/alkisfsnw.php
===================================================================
--- trunk/info/info/alkis/alkisfsnw.php	(revision 333)
+++ trunk/info/info/alkis/alkisfsnw.php	(revision 334)
@@ -497,6 +497,6 @@
 echo "\n</tr>";
 
-// Hinweis auf Bodenneuordnung oder eine strittige Grenze
-//  b.name, b.artderfestlegung, 
+// H i n w e i s  auf Bodenneuordnung oder eine strittige Grenze
+// b.name, b.artderfestlegung, 
 
 $sql_boden ="SELECT a.wert, a.bezeichner AS art_verf, b.gml_id AS verf_gml, b.bezeichnung AS verf_bez, 
@@ -505,6 +505,6 @@
 LEFT JOIN ax_dienststelle d ON b.stelle=d.stelle 
 WHERE b.endet IS NULL AND d.endet IS NULL  
-AND ST_Within((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1 ), wkb_geometry) 
-OR ST_Overlaps((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1 ), wkb_geometry)";
+AND (ST_Within((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1 AND endet IS NULL ), wkb_geometry) 
+ OR ST_Overlaps((SELECT wkb_geometry FROM ax_flurstueck WHERE gml_id = $1 AND endet IS NULL), wkb_geometry))";
 
 pg_prepare($con, "bodeneuordnung", $sql_boden);
@@ -587,6 +587,4 @@
 }
 
-// Erweiterung Kreis Unna - Ende
-
 echo "\n</table>";
 
